---
title: numericTypes
tags:
  - python
  - numbers
  - data-types
  - int
  - float
  - complex
aliases:
  - numeric types
  - number types
  - python numbers
  - integer
  - decimal
---

> [!note] Python Numeric Types  
> Python includes three primary numeric types:  
> - `int` — whole numbers like `1234`, `-10`, `0`  
> - `float` — decimal numbers like `3.14`, `-9.01`, `0.0`  
> - `complex` — imaginary numbers like `2 + 3j` *(rare for beginners)*  
>
> Additional info:  
> - `int` supports **arbitrary precision**  
> - `float` uses **double-precision** (~15 digits, may have rounding errors)
> 
> > [!info] Related Notes  
> > [[dataTypes]]  
> > [[typeConversions]]  
> > [[mixedTypeArithmetic]]  
> > [[arithmeticOperators]]  
> > [[pythonSyntaxOverview]]  
